Bug 981971 - Review Request: python-landslide - Lightweight markup language-based html5 slideshow generator
Review Request: python-landslide - Lightweight markup language-based html5 sl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 07:53 EDT by Eduardo Echeverria
Modified: 2013-08-11 14:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-landslide-1.1.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-11 14:28:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eduardo Echeverria 2013-07-07 07:53:51 EDT
Spec URL: http://echevemaster.fedorapeople.org/python-landslide/python-landslide.spec
SRPMS URL: http://echevemaster.fedorapeople.org/python-landslide/python-landslide-1.1.1-1.fc19.src.rpm
Description: Takes your Markdown, ReST, or Textile file(s) and generates 
fancy HTML5 slideshows
Fedora Account System Username: echevemaster
Tested on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5582023
Comment 1 Christopher Meng 2013-07-07 08:38:02 EDT
No big problem.

1. main.py under %{python_sitelib}/landslide has env. rpmlint showed:

Requires
--------
python-landslide (rpmlib, GLIBC filtered):
    /usr/bin/env
    (snip)

Ah, maybe should be patched, right?

2. MANIFEST.in should be removed from %doc.

3. Do you think it's a good idea or not that creating a subpackage "doc" to store the htmls?

4. rpmlint warned me about the license, seems that %{python_sitelib}/landslide/watcher.py has no license header.
Comment 2 Eduardo Echeverria 2013-07-07 23:57:32 EDT
Thank you @cicku

(In reply to Christopher Meng from comment #1)
> No big problem.
> 
> 1. main.py under %{python_sitelib}/landslide has env. rpmlint showed:
> 
> Requires
> --------
> python-landslide (rpmlib, GLIBC filtered):
>     /usr/bin/env
>     (snip)
> 
> Ah, maybe should be patched, right?
Not necessarily, although that is a good practice is a "SHOULD", anyway, is fixed in 2
> 
> 2. MANIFEST.in should be removed from %doc.
Yes, you're right

Fixed in 2

> 3. Do you think it's a good idea or not that creating a subpackage "doc" to
> store the htmls?

the complete documentation is approximately of 260 KB,thinking about the meaning of "large documentation", in this case don't applicable, see 
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#PackageDocumentation


> 4. rpmlint warned me about the license, seems that
> %{python_sitelib}/landslide/watcher.py has no license header.

Yes, watcher.py hasn't license header, but i don't see any rpmlint warning about that.

rpmlint -v python-landslide-1.1.1-1.fc19.src.rpm 
python-landslide.src: I: checking
python-landslide.src: W: spelling-error Summary(en_US) slideshow -> sideshow, slide show, slide-show
python-landslide.src: W: spelling-error %description -l en_US slideshows -> sideshows, slide shows, slide-shows
python-landslide.src: I: checking-url https://pypi.python.org/pypi/landslide (timeout 10 seconds)
python-landslide.src: I: checking-url https://github.com/adamzap/landslide/archive/a0078400c8e8f2fe19a754c0dbd55e7a3dbb796d/landslide-1.1.1-a007840.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


 rpmlint -v python-landslide-1.1.1-1.fc19.noarch.rpm 
python-landslide.noarch: I: checking
python-landslide.noarch: W: spelling-error Summary(en_US) slideshow -> sideshow, slide show, slide-show
python-landslide.noarch: W: spelling-error %description -l en_US slideshows -> sideshows, slide shows, slide-shows

anyway the package contains the boilerplate of the Apache License 
python-landslide.noarch: I: checking-url https://pypi.python.org/pypi/landslide (timeout 10 seconds)
python-landslide.noarch: W: no-manual-page-for-binary landslide
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

anyway the package contains the boilerplate of the apache license
  
SPEC: http://echevemaster.fedorapeople.org/python-landslide/2/python-landslide.spec
SRPM: http://echevemaster.fedorapeople.org/python-landslide/2/python-landslide-1.1.1-2.fc19.src.rpm
Comment 3 Christopher Meng 2013-07-08 00:16:46 EDT
OK.


APPROVED.
Comment 4 Eduardo Echeverria 2013-07-08 12:54:40 EDT
New Package SCM Request
=======================
Package Name: python-landslide
Short Description: Lightweight markup language-based html5 slideshow generator
Owners: echevemaster
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-08 13:51:44 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-11 02:11:29 EDT
python-landslide-1.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-landslide-1.1.1-2.fc19
Comment 7 Fedora Update System 2013-07-11 02:12:22 EDT
python-landslide-1.1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-landslide-1.1.1-2.fc18
Comment 8 Fedora Update System 2013-07-11 22:58:49 EDT
python-landslide-1.1.1-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-08-11 14:28:06 EDT
python-landslide-1.1.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-08-11 14:33:37 EDT
python-landslide-1.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.